org.apache.nutch.indexer

## Class IndexWriters

- java.lang.Object
- - org.apache.nutch.indexer.IndexWriters

-     public class IndexWriters
      extends java.lang.Object

  Creates and caches `IndexWriter` implementing plugins.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexWriters(Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commit()`
    `void` | `delete(java.lang.String key)`
    `java.lang.String` | `describe()`
    `void` | `open(Configuration conf)`
    `void` | `update(NutchDocument doc)`
    `void` | `write(NutchDocument doc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexWriters

          public IndexWriters(Configuration conf)

  - ### Method Detail

    - #### open

          public void open(Configuration conf)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(NutchDocument doc)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### update

          public void update(NutchDocument doc)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### delete

          public void delete(java.lang.String key)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### commit

          public void commit()
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### describe

          public java.lang.String describe()
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2019 The Apache Software Foundation